cURL
curl --request PATCH \
--url https://api.mottostreaming.com/annotations/action_secrets/v1/{secret_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"secret_id": "<string>",
"secret": {
"id": "<string>",
"project_id": "<string>",
"description": "<string>",
"value": "<string>"
},
"update_mask": "<string>"
}
'import requests
url = "https://api.mottostreaming.com/annotations/action_secrets/v1/{secret_id}"
payload = {
"secret_id": "<string>",
"secret": {
"id": "<string>",
"project_id": "<string>",
"description": "<string>",
"value": "<string>"
},
"update_mask": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
secret_id: '<string>',
secret: {
id: '<string>',
project_id: '<string>',
description: '<string>',
value: '<string>'
},
update_mask: '<string>'
})
};
fetch('https://api.mottostreaming.com/annotations/action_secrets/v1/{secret_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"secret": {
"id": "<string>",
"project_id": "<string>",
"description": "<string>"
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Action Secrets
Update action secret
UpdateActionSecret
Updates an existing annotation.
PATCH
/
annotations
/
action_secrets
/
v1
/
{secret_id}
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Response
OK
ActionSecret is a single action type definition that gets invoked when an annotation is created.
Show child attributes
Show child attributes
⌘I

